The status of the WP Engine Hosting Platform API
GET
/status
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.wpengineapi.com/v1/status"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.wpengineapi.com/v1/status';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.wpengineapi.com/v1/statusDescription
This endpoint will report the system status and any outages that might be occurring.
Responses
Section titled “ Responses ”Status of API
Media type application/json
object
success
boolean
created_on
The time when the status was requested in rfc3339 format
string
Example
{ "success": true, "created_on": "2018-05-17T16:20:40+00:00"}Too many requests
Media type application/json
Service unavailable
Media type application/json